//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
NEWS
======================================================================================================================================
*/



.c-news__date {
    font-weight: @font_w__b;
}

.c-news {
    .u-flex-display;
    .u-flex-wrap(wrap);
    .u-justify-content(flex-start);
    margin-bottom: @margin__m;
}

.c-news__item {
    width: calc(25% ~'-'@margin__s/2);
    background-color: @color-white;
    margin: @margin__s/2 @margin__s/4 0 @margin__s/4;
    padding-bottom: @margin__l;
    .c-newscarousel__item;

    @media @media_tablet {
        width: calc(33% ~'-'@margin__s/2);
    }

    @media @media_smartphone {
        width: 100%;
    }
}


/* 
====================================================================================================================================
HOME NEWS
======================================================================================================================================
*/

// LAST NEWS
.c-lastnews {
    height: @home_content__w/2;
    .u-flex-display;
    .u-justify-content(flex-end);
    margin-top: calc(100vh ~"-"@home_content__w/2);
    margin-left: calc(100% ~"-"@home_content__w);
    margin-bottom: @margin__s;
    .animation__fadein(1s, 1.6s, );

    @media @media_smartphone {
        width: 100%;
        height: auto;
        margin-top: 100vh;
        margin-left: 0;
    }
}

.c-lastnews__col1 {
    position: relative;
    width: @home_content__w/2;

    .image {
        .u-cover-image;
    }

    @media @media_smartphone {
        display: none;
    }
}

.c-lastnews__col2 {
    width: @home_content__w/2;
    padding: @margin__m;
    background-color: @color-white;
    .u-flex-display;
    .u-flex-direction(column);
    .u-justify-content(space-between);

    .title {
        margin: 0;
    }

    .c-lastnews__info {
        text-transform: uppercase;
    }

    .category {
        color: @color-primary;
        text-transform: uppercase;
    }

    @media @media_smartphone {
        padding: @margin__s;
        width: 100%;
    }
}

// CAROUSEL NEWS
.c-newscarousel {
    position: relative;
    width: 100%;
    padding-right: @margin__s;
    margin-bottom: @margin__m;
    z-index: 1;

    .owl-item {
        // width: 290px;
        //height: 340px;
        background-color: @color-white;
    }
}

.c-newscarousel__item {
    position: relative;
    text-decoration: none;
    min-height: 340px;
    display: block;

    .o-button_circle {
        position: absolute;
        bottom: @margin__s;
        left: @margin__s;
    }
}

.c-newscarousel__img {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 160px;
}

.c-newscarousel__title {
    margin: @margin__s 0;
    .u-flex-display;
    .u-justify-content(flex-end);

    .title {
        width: @home_content__w - @margin__s;
        color: @color-white;
    }

    @media @media_smartphone,
    @media_tablet {
        text-align: center;

        .title {
            width: 100%;
        }
    }
}

.c-newscarousel__text {
    padding: @margin__s;
    color: @color-text;
    font-size: @size__s;
    //height: 100%;

    .title {
        margin: 0;
        font-size: @size__m;
        margin-top: @margin__s/2;
    }

    .c-newscarousel__info {
        text-transform: uppercase;
    }

    p {
        margin: 0;
    }

    .category {
        color: @color-primary;
    }
}

// PAGER
.navigation {
    &.posts-navigation {
        display: block;
        width: 100%;
        padding: 10px 0;

        .nav-links {
            .u-flex-display;
            .u-justify-content(space-between);
            .u-align-items(center);

            a {
                color: @color-primary;
                font-family: @font_base;
                font-weight: @font_w__b;
                background-color: white;
                padding: 8px 10px;
                .u-border-radius(20px);
                .transition-elastic;

                &:hover {
                    color: @color-secondary;
                }
            }
        }

    }

    @media @media_smartphone {
        .nav-links {
            .u-flex-direction(column);
            & > div {
                margin: 10px;
            }
        }
    }
}